using EonaCat.LogStack.Core;
using System;
using System.Runtime.CompilerServices;

namespace EonaCat.LogStack.Boosters
{
    // This file is part of the EonaCat project(s) which is released under the Apache License.
    // See the LICENSE file or go to https://EonaCat.com/License for full license details.

    public sealed class TicksBooster : BoosterBase
    {
        public TicksBooster() : base("Ticks") { }

        [System.Runtime.CompilerServices.MethodImpl(MethodImplOptions.AggressiveInlining)]
        public override bool Boost(ref LogEventBuilder builder)
        {
            builder.WithProperty("Ticks", DateTime.UtcNow.Ticks);
            return true;
        }
    }
}
